Skala
Stock quantity batches

Create a new stock quantity batch

Adds a new stock quantity batch record to the database.

POST
/api/stock_quantity_batches

Adds a new stock quantity batch record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new StockQuantityBatch resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/stock_quantity_batches" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "stockQuantity": {
    "location": {
      "id": 0,
      "name": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "variant": {
    "id": 0,
    "stock": {
      "id": 0,
      "unit": {
        "id": 0,
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "currency": {
        "id": 0,
        "name": "string",
        "code": "string",
        "symbol": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "code": "string",
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "barcode": "string",
  "label": "string",
  "expirationDate": "2019-08-24T14:15:22Z",
  "amount": "string",
  "expectedAmount": "string",
  "committedAmount": "string",
  "missingAmount": "string",
  "valueInStock": "string",
  "averagePrice": "string",
  "batchNumber": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}
Empty
Empty